Subject: PMP> RE: Please appoint Designated Expert for Printer MIB

From: "Wijnen, Bert (Bert)" <[email-masked]>
Date: Thu, 21 Jul 2005 19:41:11 +0200

Sounds fine to me.
I would appreciate if I get copied on the review requests/responses
(since it is all on MIB objects/TCs).

Bert

> -----Original Message-----
> From: McDonald, Ira [mailto:[email-masked]]
> Sent: Thursday, July 21, 2005 19:14
> To: 'Wijnen, Bert (Bert)'; McDonald, Ira; 'Bergman, Ron'; [email-masked];
> 'Harry Lewis'
> Cc: [email-masked]'; [email-masked]'
> Subject: Please appoint Designated Expert for Printer MIB
> 
> 
> Hi Ted and Scott,
> 
> We need to send a new enum to IANA for the IANA Printer MIB.  
> 
> We request that you appoint Harry Lewis (chair of IEEE/ISTO PWG,
> co-editor of RFC 3805/3806) as the Designated Expert for the IANA 
> Printer MIB and IANA Finisher MIB modules.
> 
> Cheers,
> - Ira (co-editor of RFC 3805/3806)
> 
> Ira McDonald (Musician / Software Architect)
> Blue Roof Music / High North Inc
> PO Box 221  Grand Marais, MI  49839
> phone: +1-906-494-2434
> email: [email-masked]
> 
> > -----Original Message-----
> > From: Wijnen, Bert (Bert) [mailto:[email-masked]]
> > Sent: Wednesday, July 20, 2005 2:40 PM
> > To: McDonald, Ira; 'Bergman, Ron'; [email-masked]
> > Subject: RE: PMP> Restructured Port MIB (18 July 2005)
> > 
> > 
> > Given that most other TCs in the same IANA maintained MIB module
> > in fact DO have a enum of: unknown(2)
> > I can even see it would be very easy to make the case that it was
> > an error/omission that the PrtChannelTypeTC does not have it.
> > 
> > I do not see why this would need to take more than a few weeks 
> > in fact. The addition (as far as I can tell) can be made by 
> > expert review (to be designated by APPS ADs).
> > 
> > Do you want to give it a try?
> > 
> > Bert
> > 
> > > -----Original Message-----
> > > From: McDonald, Ira [mailto:[email-masked]]
> > > Sent: Wednesday, July 20, 2005 17:38
> > > To: 'Bergman, Ron'; McDonald, Ira; Wijnen, Bert (Bert); 
> [email-masked]
> > > Subject: RE: PMP> Restructured Port MIB (18 July 2005)
> > > 
> > > 
> > > Hi Ron,
> > > 
> > > Based on previous IPP experience, it will take MONTHS to add one
> > > new enum to the PrtChannelTypeTC with IANA - that would stop the
> > > Port Mon MIB dead in its tracks until it was accepted by IANA.
> > > 
> > > About ppmPrinterEnabled - same rationale as ppmPortEnabled - keeps
> > > the number of Printer entries STATIC in an implementation - lets
> > > the user see that the one Printer (i.e., hardward output 
> interface)
> > > on an External Network Adapter should presently be ignored. 
> > > 
> > > Remember that the Port Mon MIB MUST NOT depend on either Host
> > > Resources or Printer MIB, by common concensus - it may only
> > > AUGMENT them, if they are present.
> > > 
> > > Cheers,
> > > - Ira
> > > 
> > > Ira McDonald (Musician / Software Architect)
> > > Blue Roof Music / High North Inc
> > > PO Box 221  Grand Marais, MI  49839
> > > phone: +1-906-494-2434
> > > email: [email-masked]
> > > 
> > > > -----Original Message-----
> > > > From: Bergman, Ron [mailto:[email-masked]]
> > > > Sent: Tuesday, July 19, 2005 7:40 PM
> > > > To: McDonald, Ira; Wijnen, Bert (Bert); [email-masked]
> > > > Subject: RE: PMP> Restructured Port MIB (18 July 2005)
> > > > 
> > > > 
> > > > Ira,
> > > > 
> > > > I am not sure what value ppmPrinterEnabled adds to the MIB.  
> > > > This appears to be analogous to
> > > > On Line/Off Line.  If I want to create a driver for the 
> > > > printer I don't care what the current
> > > > state is.  That information is only necessary when I am ready 
> > > > to print and then this MIB is 
> > > > not used.
> > > > 
> > > > I believe that Bert has a valid point in using 
> > > > ppmPortProtocolType.  It is not a major effort
> > > > to add unknown(2) to the IANA registrations.
> > > > 
> > > > Otherwise, the changes are inline with our discussions 
> > > > following the test.
> > > > 
> > > > 	Ron
> > > > 
> > > > -----Original Message-----
> > > > From: [email-masked] [mailto:[email-masked]]On Behalf 
> > > > Of McDonald,
> > > > Ira
> > > > Sent: Tuesday, July 19, 2005 9:46 AM
> > > > To: 'Wijnen, Bert (Bert)'; McDonald, Ira; [email-masked]'
> > > > Subject: RE: PMP> Restructured Port MIB (18 July 2005)
> > > > 
> > > > 
> > > > Hi Bert,
> > > > 
> > > > Thanks for your quick feedback.  My replies inline below.
> > > > 
> > > > Cheers,
> > > > - Ira
> > > > 
> > > > 
> > > > Ira McDonald (Musician / Software Architect)
> > > > Blue Roof Music / High North Inc
> > > > PO Box 221  Grand Marais, MI  49839
> > > > phone: +1-906-494-2434
> > > > email: [email-masked]
> > > > 
> > > > > -----Original Message-----
> > > > > From: Wijnen, Bert (Bert) [mailto:[email-masked]]
> > > > > Sent: Tuesday, July 19, 2005 9:08 AM
> > > > > To: McDonald, Ira; [email-masked]'
> > > > > Subject: RE: PMP> Restructured Port MIB (18 July 2005)
> > > > > 
> > > > > 
> > > > > Only did a very very quick scan.
> > > > > 
> > > > > Comments.
> > > > > 
> > > > > - ppmPortProtocolTargetPort OBJECT-TYPE
> > > > >     SYNTAX      Integer32 (0..65535)
> > > > >   I propose that you use InetPortNumber TC from RFC4001
> > > > > 
> > > > 
> > > > Won't work, because this port is not limited to Internet Suite
> > > > protocols.  The 'service:' URI in ppmPortServiceNameOrURI may
> > > > also be for non-Internet suites (AppleTalk, NetWare, etc.).
> > > > 
> > > > I'll correct the DESCRIPTION in the MIB and make clear that
> > > > (as with the Printer MIB) ports/channels may be from multiple
> > > > protocol suites.
> > > > 
> > > > 
> > > > > - ppmPortProtocolType OBJECT-TYPE
> > > > >     SYNTAX      Integer32 (0..2147483647)
> > > > > 
> > > > >   WHy not use TC PrtChannelTypeTC as the SYNTAX?
> > > > >   I do see that you want to use zero (meaning not supported).
> > > > >   But maybe better is to use none(1) in that case, or maybe
> > > > >   adding an enumeration to the TC of notSupported(xx) ??
> > > > >   It is now an IANA-maintained TC, so it should not be that
> > > > >   difficult to get a label added.
> > > > > 
> > > > 
> > > > Won't work.  PrtChannelTypeTC currently only defines 'other(1)'
> > > > and (foolishly) does NOT define 'unknown(2)' (unlike every other
> > > > textual convention in the Printer MIB).  Because the Printer MIB
> > > > v2 still doesn't define DEFVAL clauses for most objects, this
> > > > oversight has not surfaced before.  We could register 
> > 'unknown(2)' 
> > > > with IANA, but _not_ fast enough (because this MIB's 
> > going into OS 
> > > > and printer vendor products right now).
> > > > 
> > > > 
> > > > > - ppmPortPrtChannelIndex has a reference to RFC1213, while I
> > > > >   think I would reather reference RFC2863 (the current IF-MIB)
> > > > > 
> > > > > Bert
> > > > > 
> > > > 
> > > > Agreed.  My mistake from the old Printer MIB (RFC 1759).
> > > > 
> > > > I'll correct the references in the MIB.
> > > > - Ira
> > > > 
> > > 
> > 
>